> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get billing invoice

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/billing_invoices/{invoiceId}

Retrieves the specified invoice.

This method retrieves a specific invoice by `invoiceId`. To find past invoices for an account, first use the [listInvoices](/docs/esign-rest-api/reference/billing/invoices/list/) method to retrieve available invoices, optionally filtering by `from_date` and `to_date`. If no date range is specified, listInvoices returns invoices from the last 365 days. Then use the returned `invoiceId` with the `get` method to retrieve a specific invoice.

**Note:** If the `pdfAvailable` property in the response is set to _true_, you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the `Accept` property in the header to `Accept: application/pdf`.

Privileges required: account administrator

The response returns a list of charges and information about the charges. Quantities are usually shown as 'unlimited' or an integer. Amounts are shown in the currency set for the account.

**Response**
The following table provides a description of the different `chargeName` property values. The information will grow as more chargeable items are added to the system.

| chargeName | Description |
| --- | --- |
| id_check | ID Check Charge |
| in_person_signing | In Person Signing charge |
| envelopes Included | Sent Envelopes for the account |
| age_verify | Age verification check |
| ofac | OFAC Check |
| id_confirm | ID confirmation check |
| student_authentication | STAN PIN authentication check |
| wet_sign_fax | Pages for returning signed documents by fax |
| attachment_fax | Pages for returning attachments by fax |
| phone_authentication | Phone authentication charge |
| powerforms | PowerForm envelopes sent |
| signer_payments | Payment processing charge |
| outbound_fax | Send by fax charge |
| bulk_recipient_envelopes | Bulk Recipient Envelopes sent |
| sms_authentications | SMS authentication charge |
| saml_authentications | SAML authentication charge |
| express_signer_certificate | Docusign Express Certificate charge |
| personal_signer_certificate | Personal Signer Certificate charge |
| safe_certificate | SAFE BioPharma Signer Certificate charge |
| seats | Included active seats charge |
| open_trust_certificate | OpenTrust Signer Certificate charge |

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/billing/invoices/get

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `invoiceId` (string, required) — The ID of the invoice.

## Response

### 200

Successful response.

- `amount` (string, optional) — The total amount of the purchase.
- `balance` (string, optional) — Reserved for Docusign.
- `dueDate` (string, optional) — Reserved for Docusign.
- `invoiceId` (string, optional) — Reserved for Docusign.
- `invoiceItems` (list of billingInvoiceItem, optional) — Reserved for Docusign.
- `invoiceNumber` (string, optional) — Reserved for Docusign.
- `invoiceUri` (string, optional) — Contains a URI for an endpoint that you can use to retrieve invoice information.
- `nonTaxableAmount` (string, optional)
- `pdfAvailable` (string, optional)
- `taxableAmount` (string, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### billingInvoiceItem

Contains information about an item on a billing invoice.

- `chargeAmount` (string, optional) — Reserved for Docusign.
- `chargeName` (string, optional) — Reserved for Docusign.
- `invoiceItemId` (string, optional) — Reserved for Docusign.
- `quantity` (string, optional) — The quantity of envelopes to add to the account.
- `taxAmount` (string, optional)
- `taxExemptAmount` (string, optional)
- `unitPrice` (string, optional) — Reserved for Docusign.

## Examples

**Response**

```json
{
  "amount": "sample string 1",
  "balance": "sample string 2",
  "dueDate": "sample string 3",
  "invoiceId": "sample string 4",
  "invoiceItems": [
    {
      "chargeAmount": "sample string 1",
      "chargeName": "sample string 2",
      "invoiceItemId": "sample string 3",
      "quantity": "sample string 4",
      "taxAmount": "sample string 5",
      "taxExemptAmount": "sample string 6",
      "unitPrice": "sample string 7"
    }
  ],
  "invoiceNumber": "sample string 5",
  "invoiceUri": "sample string 6",
  "nonTaxableAmount": "sample string 7",
  "pdfAvailable": "sample string 8",
  "taxableAmount": "sample string 9"
}
```